## flatpak 1.10.2

=== debian/changelog ===
flatpak (1.10.2-1ubuntu1) hirsute; urgency=medium

  * debian/patches/0001-system-helper-Fix-deploys-of-local-remotes.patch:
    Cherry pick a patch to fix the tests with new glib2.0.
    For updates in remotes with a local (file:) uri we just do a deploy with a
    LOCAL_PULL flag set and an empty arg_repo_path. However, our arg_repo_path
    checking at some point seemed to stop properly handling the case where it
    is empty. I got it to report "No such file" wich broke the tests.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 08 Apr 2021 18:12:53 +0100

flatpak (1.10.2-1) unstable; urgency=medium

  * New upstream stable release
    - Make --filesystem, --nofilesystem accept non-ASCII filenames more
      reliably
    - Improve solution for #984859 so it refuses to install apps that
      appear to be trying to exploit the vulnerability
    - Fix a memory leak
    - Improve compatibility with openSUSE's X authentication setup
    - Use a single version of Docbook for all documentation
    - This release also incorporates the fixes that were applied in
      1.10.1-2 and 1.10.1-3, and part of 1.10.1-4
  * Drop patches that were applied upstream
  * d/p/tests-Remove-hard-coded-references-to-x86_64.patch:
    Mark the remaining patch as applied upstream for 1.11.0
  * Add reference to #984859 in previous changelog entry

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Mar 2021 10:58:32 +0000

flatpak (1.10.1-4) unstable; urgency=high

  * d/p/Disallow-and-u-usage-in-desktop-files.patch:
    Add proposed patch to fix a sandbox escape via crafted .desktop
    files (flatpak#4146, Closes: #984859). Thanks, Ryan Gonzalez
  * d/p/tests-Remove-hard-coded-references-to-x86_64.patch:
    Add proposed patch to fix some tests on non-x86_64 machines.
    The affected tests were already skipped in schroot/lxc for other
    reasons, but would be run (and fail) on autopkgtest testbeds with
    isolation-machine and working FUSE.

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Mar 2021 10:21:35 +0000

flatpak (1.10.1-3) unstable; urgency=medium

  * Mark patch as applied upstream
  * Add bugfixes from upstream flatpak-1.10.x branch
    - Add extern "C" guards to header files, fixing compilation of C++ code
      such as plasma-discover against GLib 2.67.x
    - Fix memory leaks in the unit tests

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Feb 2021 13:59:56 +0000

flatpak (1.10.1-2) unstable; urgency=medium

  * d/patches: Disable FUSE-based revokefs if any of several factors fail.
    This fixes FTBFS in pbuilder, and hopefully also on Launchpad
    autobuilders.

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Jan 2021 22:24:20 +0000

flatpak (1.10.1-1) unstable; urgency=medium

  * New upstream release
    - Fix a regression in 'flatpak build' after fixing CVE-2021-21261
      (Closes: #980323)

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Jan 2021 14:12:22 +0000

flatpak (1.10.0-2) unstable; urgency=medium

  * Upload 1.10.x branch to unstable
  * Add CVE-2021-21261 reference to 1.8.5-1 changelog entry

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jan 2021 11:51:16 +0000

flatpak (1.10.0-1) experimental; urgency=medium

  * d/control: Fix branch in Vcs-Git for experimental
  * Merge packaging from unstable
  * New upstream release, starting the 1.10.x branch
  * Drop patches, applied upstream
  * d/flatpak.install: Install new systemd environment generator
  * d/tests: Mark update portal test as flaky due to
    https://github.com/flatpak/flatpak/issues/4065

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 12:35:25 +0000

flatpak (1.8.5-1) unstable; urgency=high

  * New upstream release fixing a sandbox escape vulnerability
    (GHSA-4ppf-fxf6-vxg2, CVE-2021-21261)
  * Mark patch for #975710 as having been applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 09:34:09 +0000

flatpak (1.8.4-2) unstable; urgency=medium

  * Mark patch for #972138 as having been applied upstream
  * Add patch to avoid gvfs-daemon being started when logging in as root.
    Thanks to Mourad De Clerck (Closes: #975710)
  * Add package-specific info from bubblewrap to bug reports.
    In particular, this will tell us whether it's setuid.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Jan 2021 15:37:04 +0000

flatpak (1.9.3-2) experimental; urgency=medium

  * Add patch to avoid gvfs-daemon being started when logging in as root.
    Thanks to Mourad De Clerck (Closes: #975710)
  * Add package-specific info from bubblewrap to bug reports.
    In particular, this will tell us whether it's setuid.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Jan 2021 15:37:18 +0000

flatpak (1.9.3-1) experimental; urgency=medium

  * Merge packaging changes from unstable
  * New upstream release
  * d/p/variant-schema-compiler-Disable-optimized-calculation-of-.patch:
    Drop patch, which should be unnecessary with the new version
  * Mark remaining patch as forwarded

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2020 14:12:59 +0000

flatpak (1.8.4-1) unstable; urgency=medium

  * debian/o.fd.Flatpak.pkla: sync with rules provided by upstream
  * Use debian/unstable branch for packaging
  * New upstream release
  * d/p/variant-schema-compiler-Disable-optimized-calculation-of-.patch:
    Drop patch, which should be unnecessary with the new version

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Dec 2020 10:58:59 +0000

flatpak (1.9.2-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream development release
  * Update ostree build-dependency
  * Use upstream's autogen.sh now that it's shipped
  * d/copyright: Update
  * d/p/Skip-parental-controls-checks-on-ServiceUnknown-or-NameHa.patch:
    Drop patch that was applied upstream
  * d/p/Skip-a-test-case-if-etc-mtab-doesn-t-exist.patch:
    Work around a test failure that can happen in sbuild
  * Update symbols file.
    Ignore removal of flatpak_http_error_quark (aka FLATPAK_HTTP_ERROR),

