## flatpak 1.10.3

=== debian/changelog ===
flatpak (1.10.3-0+deb11u1~bpo11+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Oct 2021 17:13:36 +0100

flatpak (1.10.3-0+deb11u1) bullseye; urgency=medium

  * New upstream stable release
    - Don't inherit an unusual $XDG_RUNTIME_DIR setting into the sandbox
      (regression in 1.8.5 and 1.10.0)
    - Improve unit test coverage
    - Various other changes that were already in earlier releases to Debian
  * Drop all patches, applied upstream
  * d/gbp.conf, d/control: Branch for bullseye
  * d/watch: Restrict to 1.10.x versions for bullseye

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 19:10:52 +0100

flatpak (1.10.2-3) unstable; urgency=medium

  * d/patches: Align with upstream flatpak-1.10.x branch, making this
    effectively a release candidate for upstream stable release 1.10.3
    - d/patches: Update metadata to reflect upstream flatpak-1.10.x branch.
      All the patches we apply in Debian are expected to be released in
      1.10.3 upstream, but not all were annotated to reflect this.
    - d/p/system-helper-Fix-deploys-of-local-remotes.patch:
      Fix some failures to update in GNOME Software and the unit tests.
      This change was previously applied in Ubuntu's flatpak_1.10.2-1ubuntu1
      to fix a unit test failure, possibly triggered by a newer version of
      GLib. It has also been reported to fix a failure to upgrade Flatpak
      apps using GNOME Software, this time in Fedora.
    - d/p/create-usb-Skip-copying-extra-data-flatpaks.patch:
      Skip flatpaks with "extra-data" when using `flatpak create-usb`.
      This command is intended to create USB drives that can be
      used to install Flatpak apps and/or runtimes while offline,
      but the "extra-data" feature downloads extra content for an app
      or runtime at install time, as a way to automate installation of
      data that can be re-downloaded by end users but is not licensed
      for redistribution by Flatpak repositories. Such apps and runtimes
      would fail to install while offline.
    - d/p/series: Re-order patches to match upstream flatpak-1.10.x branch

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Jul 2021 20:44:58 +0100

flatpak (1.10.2-2) unstable; urgency=medium

  * Backport changes from upstream git to fix regressions when apps invoke
    flatpak-spawn --env=... to launch a subsandbox.
    - d/p/Fix-several-memory-leaks.patch:
      Fix minor memory leaks so that subsequent backports apply cleanly
    - d/p/portal-Don-t-leak-fd-used-for-serialized-environment.patch:
      Don't leak a file descriptor each time flatpak-spawn --env=... is used
      (Closes: #989934)
    - d/p/portal-Use-a-GArray-to-store-fds.patch,
      d/p/portal-Remap-env-fd-into-child-process-s-fd-space.patch:
      When an app uses flatpak-spawn --env=... --forward-fd=..., ensure
      that the file descriptors do not collide, which could result in the
      subsandbox failing to launch or being launched with wrong environment
      variables. (Closes: #989935)

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jun 2021 10:10:38 +0100

flatpak (1.10.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Apr 2021 13:51:12 +0100

flatpak (1.10.1-4~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports (security update)
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Mar 2021 10:18:18 +0000

flatpak (1.10.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Thu, 21 Jan 2021 18:38:44 +0000

flatpak (1.8.5-1~bpo10+1) buster-backports; urgency=high

  * Rebuild for buster-backports (security update).
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Jan 2021 09:34:37 +0000

flatpak (1.8.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

