## flatpak 1.10.7

=== debian/changelog ===
flatpak (1.10.7-0+deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jan 2022 22:47:41 +0000

flatpak (1.10.7-0+deb11u1) bullseye-security; urgency=high

  * New upstream stable release
  * Security fixes:
    - Prevent a malicious repository from arranging for permissions to be
      granted without being correctly displayed during installation
      (CVE-2021-43860, GHSA-qpjc-vq3c-572j)
    - Provide a new --nofilesystem=host:reset option which flatpak-builder
      can use to prevent malicious builds from creating directories
      outside the build directory (CVE-2022-21682, GHSA-8ch7-5j3h-g4fx)
  * Other bug fixes:
    - Fix error handling for syscalls that are only allowed with --devel
      (this change was already included in 1.10.5-0+deb11u1)
    - Improve diagnostic messages when seccomp rules cannot be applied
    - Update Polish translation
    - Clarify documentation related to CVE-2022-21682
    - Improve test coverage related to CVE-2022-21682
    - Be compatible with newer versions of python3-pyparsing
      (the version in Debian 11 generates identical code before and
      after this change)
  * d/p/Fix-handling-of-syscalls-only-allowed-by-devel.patch:
    Drop patch, included in 1.10.6
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jan 2022 18:24:45 +0000

flatpak (1.10.5-0+deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    - Revert "debian/control: Add libmalcontent-0-dev to the
      build-dependencies". It wasn't available in buster.
    - Revert "Add Suggests on malcontent-gui".
    - Downgrade dbus from Depends to Recommends.
      It only needed to be a Depends for the libmalcontent integration,
      but it is necessary for system-wide installations (without --user),
      so a Recommends still seems appropriate.
  * Note that this backport requires libseccomp2 (>= 2.5.0) from
    buster-backports. This is necessary in order to prevent clone3()
    when using backported bullseye kernels.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Oct 2021 23:07:15 +0100
