=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev,
+ libseccomp-dev (>= 2.5.0),
  libsoup2.4-dev,
  libsystemd-dev,
  libxau-dev,
