=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
+ libmalcontent-0-dev (>= 0.4.0),
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
@@ -61,7 +62,7 @@
  libostree-doc,
 Standards-Version: 4.5.1
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/buster-backports
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no
 
@@ -70,11 +71,11 @@
 Depends:
  adduser,
  bubblewrap (>= 0.4.0),
+ dbus,
  xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- dbus,
  desktop-file-utils,
  hicolor-icon-theme,
  gtk-update-icon-cache,
@@ -86,6 +87,7 @@
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
 Suggests:
  avahi-daemon,
+ malcontent-gui,
 Conflicts:
  xdg-app,
 Replaces:
