=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends:
 build-essential,
 libflatpak-dev,

Tests: gnome-desktop-testing
Restrictions: isolation-machine
Depends:
 flatpak-tests,
 gettext,
 gnome-desktop-testing,
 python3,

Tests: flaky
Restrictions: isolation-machine, flaky
Depends:
 flatpak-tests,
 gettext,
 gnome-desktop-testing,
 python3,
