=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.4.0),
  ca-certificates <!nocheck>,
  dbus,
  debhelper-compat (= 12),
@@ -31,16 +30,15 @@
  libdw-dev,
  libelf-dev,
  libfuse-dev (>= 2.9.2),
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf2.0-dev,
  libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
- libmalcontent-0-dev (>= 0.4.0),
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev (>= 2.5.0),
+ libseccomp-dev,
  libsoup2.4-dev,
  libsystemd-dev,
  libxau-dev,
@@ -54,15 +52,14 @@
  python3-pyparsing,
  shared-mime-info <!nocheck>,
  socat <!nocheck>,
- xdg-dbus-proxy (>= 0.1.0),
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
 Build-Depends-Indep:
  libglib2.0-doc,
  libostree-doc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no
 
@@ -70,12 +67,11 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.4.0),
- dbus,
- xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ ca-certificates,
+ dbus,
  desktop-file-utils,
  hicolor-icon-theme,
  gtk-update-icon-cache,
@@ -87,7 +83,6 @@
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
 Suggests:
  avahi-daemon,
- malcontent-gui,
 Conflicts:
  xdg-app,
 Replaces:
@@ -198,7 +193,6 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.4.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
