=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,6 @@
 		--with-priv-mode=none \
 		--with-privileged-group=sudo \
 		--with-run-media-dir=/media \
-		--with-system-bubblewrap=bwrap \
-		--with-system-dbus-proxy=xdg-dbus-proxy \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		--with-system-helper-user=_flatpak \
 		$(configure_options)
@@ -60,7 +58,7 @@
 	install -d debian/tmp/etc/X11/Xsession.d
 	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
 		debian/tmp/etc/X11/Xsession.d/20flatpak
-	rm -f debian/tmp/usr/lib/*/*.la
+	find debian/tmp -name '*.la' -print -delete
 	dh_install
 
 override_dh_missing:
