=== debian/watch ===
version=4
https://github.com/@PACKAGE@/@PACKAGE@/releases .*/@PACKAGE@-(\d+\.\d*\.[\-+\.:\~\da-zA-Z]*)@ARCHIVE_EXT@
