=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
+ bubblewrap (>= 0.4.0),
  ca-certificates <!nocheck>,
- dbus,
- debhelper-compat (= 12),
+ dbus-daemon,
+ debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
@@ -30,15 +31,16 @@
  libdw-dev,
  libelf-dev,
  libfuse-dev (>= 2.9.2),
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
  libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
+ libmalcontent-0-dev (>= 0.4.0),
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev,
+ libseccomp-dev (>= 2.5.2),
  libsoup2.4-dev,
  libsystemd-dev,
  libxau-dev,
@@ -52,6 +54,7 @@
  python3-pyparsing,
  shared-mime-info <!nocheck>,
  socat <!nocheck>,
+ xdg-dbus-proxy (>= 0.1.0),
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
 Build-Depends-Indep:
@@ -67,11 +70,13 @@
 Architecture: linux-any
 Depends:
  adduser,
+ bubblewrap (>= 0.4.0),
+ default-dbus-system-bus | dbus-system-bus,
+ xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  ca-certificates,
- dbus,
  desktop-file-utils,
  hicolor-icon-theme,
  gtk-update-icon-cache,
@@ -81,8 +86,10 @@
  shared-mime-info,
  xdg-desktop-portal (>= 1.6),
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
+ xdg-user-dirs,
 Suggests:
  avahi-daemon,
+ malcontent-gui,
 Conflicts:
  xdg-app,
 Replaces:
@@ -111,6 +118,7 @@
 Depends:
  attr,
  ca-certificates,
+ dbus-daemon,
  desktop-file-utils,
  flatpak (= ${binary:Version}),
  fuse,
@@ -193,6 +201,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
+ bubblewrap (>= 0.4.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
