=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,8 @@
 		--with-priv-mode=none \
 		--with-privileged-group=sudo \
 		--with-run-media-dir=/media \
+		--with-system-bubblewrap=bwrap \
+		--with-system-dbus-proxy=xdg-dbus-proxy \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		--with-system-helper-user=_flatpak \
 		$(configure_options)
@@ -61,8 +63,14 @@
 	find debian/tmp -name '*.la' -print -delete
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start
